> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# efd_13

> Extra fields dropdown lists. Contains list of string values defined on the extra_field. List names are 'EFD_123' where 123 is the extra field id.

## "efd\_13" MDO List

Extra fields dropdown lists. Contains list of string values defined on the extra\_field.
List names are 'EFD\_123' where 123 is the extra field id.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ExtraFieldsDropdownProvider">ExtraFieldsDropdownProvider</see> class.
The name of the MDO list is 'efd\_13'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/efd_13
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("efd_13", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name   | StyleHint | ExtraInfo |
| -- | ------ | --------- | --------- |
| 1  | Red    |           | Red       |
| 2  | Green  |           | Green     |
| 3  | Blue   |           | Blue      |
| 4  | Purple |           | Purple    |


## Related topics

- [What's new in version 11.13.921.0](/release-notes/database/changes-11.13.921.md)
- [What's new in version 10.3.13.233](/release-notes/database/changes-10.3.13.md)
- [DateTime data type](/en/automation/crmscript/datatypes/datetime-type.md)
- [DateTime](/en/automation/crmscript/reference/CRMScript.Global.DateTime.md)
- [Working with companies in API](/en/company/dev/index.md)
- [Interests](/en/automation/crmscript/howto/interests/index.md)
